Skip to main content
GET
List Subscriptions

Authorizations

Authorization
string
header
required

Bearer API Key authentication. Format: Authorization: Bearer {your_api_key}

Headers

Request-Id
string
default:008e3967-a1b5-48bb-be14-d5bff5092e61
required

The unique identifier of the request

Query Parameters

ids
string[]

Subscription ID array, filter subscription records whose IDs belong to this array

status
string

Subscription business status:

  • init - Pending activation
  • trial - Trial period
  • active - Active
  • canceled - Canceled
  • incomplete - Incomplete
starting_after
string

Cursor for pagination. starting_after is the object ID that defines your position in the list. For example, if you want to get the next page, you can use the last object's ID as the parameter value after getting the object list for the first time. Cannot be used together with ending_before

ending_before
string

Cursor for pagination. ending_before is the object ID that defines your position in the list. For example, if you want to get the previous page, you can use the first object's ID as the parameter value after getting the object list for the first time. Cannot be used together with starting_after

limit
integer<int32>

Pagination parameter, number of items per page, default: 10, interface defaults to sorting by creation time in descending order. Limit: [1, 100]

merchant_id
string

Merchant unique identifier

order_ids
string[]

The order_ids of you platform, filter the subscription records where the order_id belongs to this array.

source_trade_ids
string[]

The source_trade_id array, filter subscriptions where source_trade_id belongs to this array

billing_cycle_unit
string[]

Subscription business billing cycle unit:

  • week
  • month
  • quarter
  • year
  • customer-initiated
  • over_threshold
search_type
string

The search_type belongs to one of the fields such as subscription_id,trade_id,refund_id,invoice_id, and customer_id

search_value
string

The search_value is the value corresponding to search_type

created_at.gt
string

Minimum value to filter by (exclusive, UTC time in RFC3339 format, such as '2025-01-01T00:00:00Z')

created_at.gte
string

Minimum value to filter by (inclusive, UTC time in RFC3339 format, such as '2025-01-01T00:00:00Z')

created_at.lt
string

Maximum value to filter by (exclusive, UTC time in RFC3339 format, such as '2025-01-01T00:00:00Z')

created_at.lte
string

Maximum value to filter by (inclusive, UTC time in RFC3339 format, such as '2025-01-01T00:00:00Z')

Response

OK

code
string

error code

message
string

error message

data
object